Package javax.validation

# Interface ConstraintValidatorContext.ConstraintViolationBuilder

Enclosing interface:
  `ConstraintValidatorContext`

public static interface ConstraintValidatorContext.ConstraintViolationBuilder

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext`
`static interface`
`ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext`
`static interface`
`ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeContextBuilder`
`static interface`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext`
`static interface`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext`
`static interface`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeContextBuilder`

## Method Summary

Modifier and Type
Method
Description
`ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext`
`addBeanNode()`
`ConstraintValidatorContext`
`addConstraintViolation()`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext`
`addNode(String name)`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext`
`addParameterNode(int index)`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext`
`addPropertyNode(String name)`

## Method Details

### addNode

ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext addNode(String name)

### addConstraintViolation

ConstraintValidatorContext addConstraintViolation()

### addPropertyNode

ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext addPropertyNode(String name)

### addBeanNode

ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext addBeanNode()

### addParameterNode

ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext addParameterNode(int index)